#include <bits/stdc++.h>
#define endl '\n';
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n;
    cin >> n;
    bool ok = true;
    for(int i = 0; i<n; i++){
        ok = true;
        int malki[26] = {0};
        int golemi[26] = {0};
        int cifri[26] = {0};
        string c;
        cin >> c;
        for(int j = 0; j<c.size(); j++){
            if(c[j]>='a' && c[j]<='z'){
                malki[c[j]-'a']++;
            }
            if(c[j]>='A' && c[j]<='Z'){
                golemi[c[j]-'A']++;
            }
            if(c[j]>='0' && c[j]<='9'){
                cifri[c[j]-'0']++;
            }
        }
        int brnech = 0;
        for(int j = 0; j<26; j++){
            if(malki[j]%2!=0){
                brnech++;
            }
            if(golemi[j]%2!=0){
                brnech++;
            }
            if(cifri[j]%2!=0){
                brnech++;
            }
        }
        if(c.size()%2==0){
            if(brnech!=0){
                cout << 0;
            } else {
                cout << 1;
            }
        } else {
            if(brnech!=1){
                cout << 0;
            } else {
                cout << 1;
            }
        }
    }
    cout << endl;
    return 0;
}
